<script lang="ts" setup>
import { faCheckCircle, faHandPeace,  faXmarkCircle } from '@fortawesome/free-solid-svg-icons';
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome';

const props = defineProps<{
  result: number
  noText?:boolean
}>()

const shownResult = computed(() => {
  return {
  [1]: {
    label: 'VICTOIRE',
    icon: faCheckCircle
  },
  [0]: {
    label: 'MATCH NUL',
    icon: faHandPeace
  },
  [-1]: {
    label: 'DÉFAITE',
    icon: faXmarkCircle
  }
}[props.result]
})
</script>

<template>
  <h2
  class="flex items-center justify-center py-1 sm:px-2 border border-1 shadow-md rounded-xl bg-contrast text-light gap-2"
  :class="[
    props.result === 1 && 'text-secondary border-secondary',
    props.result === -1 && '!text-danger  border-danger'
  ]"><FontAwesomeIcon :icon="shownResult?.icon || ''"></FontAwesomeIcon>
    <span v-if="!noText" class="hidden sm:block">{{ shownResult?.label }}</span>
  </h2>
</template>

<style lang="scss" scoped></style>